1. memedough
  2. nose2-cov
  3. Issues
Issue #2 new

nose2: error: Unrecognized arguments: --with-cov

Yohann Lepage
created an issue

--with-cov is not recognozised :

yohann@yo-laptop:~/projects/Python-stuff/utils$ uname -a
Linux yo-laptop 3.5.0-23-generic #35-Ubuntu SMP Thu Jan 24 13:05:29 UTC 2013 i686 i686 i686 GNU/Linux
yohann@yo-laptop:~/projects/Python-stuff/utils$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description:    Ubuntu 12.10
Release:    12.10
Codename:   quantal
yohann@yo-laptop:~/projects/Python-stuff/utils$ pip install nose2 nose2-cov
Requirement already satisfied (use --upgrade to upgrade): nose2 in /usr/local/lib/python2.7/dist-packages
Requirement already satisfied (use --upgrade to upgrade): nose2-cov in /usr/local/lib/python2.7/dist-packages
Requirement already satisfied (use --upgrade to upgrade): six>=1.1,<1.2 in /usr/lib/python2.7/dist-packages (from nose2)
Requirement already satisfied (use --upgrade to upgrade): cov-core>=1.6 in /usr/local/lib/python2.7/dist-packages (from nose2-cov)
Requirement already satisfied (use --upgrade to upgrade): coverage>=3.4 in /usr/local/lib/python2.7/dist-packages (from cov-core>=1.6->nose2-cov)
Cleaning up...
yohann@yo-laptop:~/projects/Python-stuff/utils$ nose2 --with-cov
usage: nose2 [-s START_DIR] [-t TOP_LEVEL_DIRECTORY] [--config [CONFIG]]
             [--no-user-config] [--no-plugins] [--plugin PLUGINS]
             [--exclude-plugin EXCLUDE_PLUGINS] [--verbose] [--quiet]
             [--log-level LOG_LEVEL] [-B] [-D] [-F] [-h]
             [testNames [testNames ...]]
nose2: error: Unrecognized arguments: --with-cov